org.eclipse.viatra.integration.mwe2.mwe2impl

## Class TransformationStep

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.TransformationStep

- All Implemented Interfaces:
    ITransformationStep

      public abstract class TransformationStep
      extends java.lang.Object
      implements ITransformationStep

  The TransformationStep abstract class implements the ITransformationStep and adds further basic functions that are typically present in case of (VIATRA based) model transformation steps. These include the following: 1. Support for containing ISubscribeTo and IPublishTo objects 2. Process all incoming messages 3. Support the addition of user defined execute functionality and message publication

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext` | `context`
    `protected java.util.List<IPublishTo>` | `publishTo`
    `protected com.google.common.collect.ListMultimap<java.lang.Integer,ISubscribeTo>` | `subscribeTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformationStep()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPublishing(IPublishTo channel)`
    `void` | `addSubscription(ISubscribeTo sub)`
    `abstract void` | `doExecute()`
    `abstract void` | `doInitialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)`
    `void` | `execute()` Defines the added functionality of the ITransformationStep object
    `org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext` | `getContext()`
    `IPublishTo` | `getPublishing(java.lang.String topicName)`
    `java.util.List<IPublishTo>` | `getPublishings()`
    `ISubscribeTo` | `getSubscription(java.lang.String topicName)`
    `java.util.List<ISubscribeTo>` | `getSubscriptions()`
    `java.util.List<ISubscribeTo>` | `getSubscriptions(java.lang.Integer priority)`
    `void` | `initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)` In this method the transformation step can be initialized.
    `void` | `processMessages()`
    `void` | `publishMessages()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.integration.mwe2.ITransformationStep

      `dispose`

- - ### Field Detail

    - #### subscribeTo

          protected com.google.common.collect.ListMultimap<java.lang.Integer,ISubscribeTo> subscribeTo

    - #### publishTo

          protected java.util.List<IPublishTo> publishTo

    - #### context

          protected org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext context

  - ### Constructor Detail

    - #### TransformationStep

          public TransformationStep()

  - ### Method Detail

    - #### getContext

          public org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext getContext()

    - #### addSubscription

          public void addSubscription(ISubscribeTo sub)

    - #### getSubscriptions

          public java.util.List<ISubscribeTo> getSubscriptions(java.lang.Integer priority)

    - #### getSubscriptions

          public java.util.List<ISubscribeTo> getSubscriptions()

    - #### addPublishing

          public void addPublishing(IPublishTo channel)

    - #### getPublishings

          public java.util.List<IPublishTo> getPublishings()

    - #### getSubscription

          public ISubscribeTo getSubscription(java.lang.String topicName)
                                       throws NoSuchTopicNameException

      Throws:
        `NoSuchTopicNameException`

    - #### getPublishing

          public IPublishTo getPublishing(java.lang.String topicName)
                                   throws NoSuchTopicNameException

      Throws:
        `NoSuchTopicNameException`

    - #### execute

          public void execute()

      Description copied from interface: `ITransformationStep`
      Defines the added functionality of the ITransformationStep object
      Specified by:
        `execute` in interface `ITransformationStep`

    - #### processMessages

          public void processMessages()

    - #### publishMessages

          public void publishMessages()

    - #### doExecute

          public abstract void doExecute()

    - #### initialize

          public void initialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)

      Description copied from interface: `ITransformationStep`
      In this method the transformation step can be initialized. The workflow context is handed to the transformation step
      Specified by:
        `initialize` in interface `ITransformationStep`
      Parameters:
        `ctx` - The context of the workflow, which can contain various workflow-specific resources.

    - #### doInitialize

          public abstract void doInitialize(org.eclipse.emf.mwe2.runtime.workflow.IWorkflowContext ctx)